Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.scholarlysoftware.com/api/v1/profiles/{id}/avatar \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: image/jpeg' \ --data '"<string>"'
import requestsurl = "https://api.scholarlysoftware.com/api/v1/profiles/{id}/avatar"payload = "<string>"headers = { "Authorization": "Bearer <token>", "Content-Type": "image/jpeg"}response = requests.put(url, json=payload, headers=headers)print(response.text)
const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'image/jpeg'}, body: JSON.stringify('<string>')};fetch('https://api.scholarlysoftware.com/api/v1/profiles/{id}/avatar', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "message": "<string>", "avatar": { "attached": true, "filename": "avatar.jpg", "content_type": "image/jpeg", "byte_size": 45000 } }
{ "errors": [ { "status": "<string>", "title": "<string>", "detail": "<string>" } ]}
{ "errors": [ { "status": "422", "title": "Validation Error", "detail": "Label can't be blank" } ]}
Upload an avatar image for a profile by sending the raw image binary data in the request body
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
The body is of type file.
file
Avatar uploaded
Show child attributes